package typeManage

import (
	v1 "log-server/api/v1"
	"github.com/gin-gonic/gin"
)

type GameListRouter struct {

}

func (g *GameListRouter) InitGameListRouter(Router *gin.RouterGroup)  {
	gameListRouter := Router.Group("gameList")
	gameListApi := v1.ApiGroupApp.TypeApiGroup.GameListApi
	{

		gameListRouter.POST("createGameList",gameListApi.CreateGameList)          // 增加游戏列表
		gameListRouter.POST("deleteGameList",gameListApi.DeleteGameList)          // 删除单个游戏列表
		gameListRouter.POST("updateGameList",gameListApi.UpdateGameList)          // 更新游戏列表信息
		gameListRouter.DELETE("deleteGameListsByIds", gameListApi.DeleteGameListsByIds)		//批量删除
		gameListRouter.POST("getGameList",gameListApi.GetGameList)          // 查询所有游戏列表
		gameListRouter.POST("getGameListById", gameListApi.GetGameListById) 		//获取单条游戏列表
	}
}
